Changeset 24152 for lang

Show
Ignore:
Timestamp:
11/18/08 21:12:49 (5 years ago)
Author:
tokuhirom
Message:

updated list

Location:
lang/perl/MENTA/trunk
Files:
2 modified

Legend:

Unmodified
Added
Removed
  • lang/perl/MENTA/trunk/NOTE

    r24128 r24152  
    55 
    66    Perl 5.8.0 以後をサポート対象とする 
     7    LWP は入ってる前提で。LWP を入れるためには XS なモジュールが必要なので無理だ。 
     8        HTML::Parser 
     9        Compress::Zlib 
    710    CGI 環境でも高速である 
    811    use strict を強制して悪い習慣を身につけさせない 
     
    4144------------------------ 
    4245 
     46日本の perl mongers が普段つかってるモジュールの中から選んでいる予定。 
     47 
    4348    DateTime(Locale, Timezone の不要な部分を削ってある) 
    4449    CGI::Simple 
     
    4651    List::MoreUtils 
    4752    Path::Class 
     53    URI 
     54    Class::Accessor 
     55    HTML::FillInForm 
     56    Text::Hatena 
     57    Data::Page 
     58    HTML::TreeBuilder 
     59    Text::CSV 
     60    YAML 
     61    Email::Send 
     62    HTTP::MobileAttribute 
     63    HTML::TreeBuilder::XPath 
    4864 
    4965    以下予定 
    5066    HTTP::Session 
    5167 
     68    入れようか迷ってるもの。ウェブ関係ないし。 
     69    IO::Prompt 
     70    Perl::Critic 
     71    POE 
     72    POE::Component::IRC 
     73    Spreadsheet::WriteExcel 
     74    CLI::Dispatch 
     75 
     76TPFJ が要求する 10 のモジュール認定シールに入るだろうと仮定して同梱しないもの 
     77----------------------------------------------------------------------------- 
     78 
     79というか、XS だから同梱できないのね。 
     80 
     81    DBI 
     82    LWP 
     83        HTML::Parser 
     84        HTML::TagSet 
     85    IO::Socket 
     86    Digest::SHA1 
     87 
     88    以下は、あったらいいなーとおもうけど、案外はいってないかもね 
     89        Crypt::DH 
     90 
    5291標準添付しようかとおもったら Perl5 標準添付だったもの 
    5392----------------------------------------------------- 
    5493 
     94    Encode 
     95    MIME::Base64 
    5596    Digest::MD5 
    5697    File::Spec 
    5798    File::stat 
     99    IO::Socket 
     100    Net::FTP 
    58101 
    59102XS しかなくてあきらめているもの 
  • lang/perl/MENTA/trunk/bin/install-lib.pl

    r24151 r24152  
    2121    'Module::Build',  # only for bullding 
    2222    'LWP::UserAgent', # maybe you have this. 
    23     'Net::FTP',       # ditto 
    2423    'HTML::Parser',   # ditto 
    2524    'HTML::Tagset',   # ditto 
     25    'DBI',            # maybe you have this. 
    2626); 
    2727my $target_version = '5.008001';